Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::ErrorHandler Class Reference

This class is used to "handle" errors encountered in an Appender. More...

`#include <appender.h>`

Inheritance diagram for log4cplus::ErrorHandler:

[legend]
List of all members.

## Public Member Functions
virtual | ~ErrorHandler ()
virtual void | error (const log4cplus::tstring &err)=0

## Detailed Description

This class is used to "handle" errors encountered in an Appender.

Definition at line 37 of file appender.h.

## Constructor & Destructor Documentation

virtual log4cplus::ErrorHandler::~ErrorHandler | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void log4cplus::ErrorHandler::error | ( | const log4cplus::tstring & | err | ) | `[pure virtual]`

| Implemented in log4cplus::OnlyOnceErrorHandler.

The documentation for this class was generated from the following file:

- appender.h